Package org.drinkless.tdlib

# Class TdApi.Chat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Chat

Enclosing class:
  TdApi

public static class TdApi.Chat extends TdApi.Object
A chat. (Can be a private chat, basic group, supergroup, or secret chat.)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColorId`
  Identifier of the accent color for message sender name, and backgrounds of chat photo, reply header, and link preview.
  `TdApi.ChatActionBar`
  `actionBar`
  Information about actions which must be possible to do through the chat action bar; may be null if none.
  `TdApi.ChatAvailableReactions`
  `availableReactions`
  Types of reaction, available in the chat.
  `TdApi.ChatBackground`
  `background`
  Background set for the chat; may be null if none.
  `long`
  `backgroundCustomEmojiId`
  Identifier of a custom emoji to be shown on the reply header and link preview background for messages sent by the chat; 0 if none.
  `TdApi.BlockList`
  `blockList`
  Block list to which the chat is added; may be null if none.
  `TdApi.BusinessBotManageBar`
  `businessBotManageBar`
  Information about bar for managing a business bot in the chat; may be null if none.
  `boolean`
  `canBeDeletedForAllUsers`
  True, if the chat messages can be deleted for all users.
  `boolean`
  `canBeDeletedOnlyForSelf`
  True, if the chat messages can be deleted only for the current user while other users will continue to see the messages.
  `boolean`
  `canBeReported`
  True, if the chat can be reported to Telegram moderators through reportChat or reportChatPhoto.
  `TdApi.ChatList[]`
  `chatLists`
  Chat lists to which the chat belongs.
  `String`
  `clientData`
  Application-specific data associated with the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `defaultDisableNotification`
  Default value of the disableNotification parameter, used when a message is sent to the chat.
  `TdApi.DraftMessage`
  `draftMessage`
  A draft of a message in the chat; may be null if none.
  `TdApi.EmojiStatus`
  `emojiStatus`
  Emoji status to be shown along with chat title; may be null.
  `boolean`
  `hasProtectedContent`
  True, if chat content can't be saved locally, forwarded, or copied.
  `boolean`
  `hasScheduledMessages`
  True, if the chat has scheduled messages.
  `long`
  `id`
  Chat unique identifier.
  `boolean`
  `isMarkedAsUnread`
  True, if the chat is marked as unread.
  `boolean`
  `isTranslatable`
  True, if translation of all messages in the chat must be suggested to the user.
  `TdApi.Message`
  `lastMessage`
  Last message in the chat; may be null if none or unknown.
  `long`
  `lastReadInboxMessageId`
  Identifier of the last read incoming message.
  `long`
  `lastReadOutboxMessageId`
  Identifier of the last read outgoing message.
  `int`
  `messageAutoDeleteTime`
  Current message auto-delete or self-destruct timer setting for the chat, in seconds; 0 if disabled.
  `TdApi.MessageSender`
  `messageSenderId`
  Identifier of a user or chat that is selected to send messages in the chat; may be null if the user can't change message sender.
  `TdApi.ChatNotificationSettings`
  `notificationSettings`
  Notification settings for the chat.
  `TdApi.ChatJoinRequestsInfo`
  `pendingJoinRequests`
  Information about pending join requests; may be null if none.
  `TdApi.ChatPermissions`
  `permissions`
  Actions that non-administrator chat members are allowed to take in the chat.
  `TdApi.ChatPhotoInfo`
  `photo`
  Chat photo; may be null.
  `TdApi.ChatPosition[]`
  `positions`
  Positions of the chat in chat lists.
  `int`
  `profileAccentColorId`
  Identifier of the profile accent color for the chat's profile; -1 if none.
  `long`
  `profileBackgroundCustomEmojiId`
  Identifier of a custom emoji to be shown on the background of the chat's profile; 0 if none.
  `long`
  `replyMarkupMessageId`
  Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.
  `String`
  `themeName`
  If non-empty, name of a theme, set for the chat.
  `String`
  `title`
  Chat title.
  `TdApi.ChatType`
  `type`
  Type of the chat.
  `int`
  `unreadCount`
  Number of unread messages in the chat.
  `int`
  `unreadMentionCount`
  Number of unread messages with a mention/reply in the chat.
  `int`
  `unreadReactionCount`
  Number of messages with unread reactions in the chat.
  `TdApi.VideoChat`
  `videoChat`
  Information about video chat of the chat.
  `boolean`
  `viewAsTopics`
  True, if the chat is a forum supergroup that must be shown in the "View as topics" mode, or Saved Messages chat that must be shown in the "View as chats".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Chat()`
  A chat.
  `Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, TdApi.ChatList[] chatLists, TdApi.MessageSender messageSenderId, TdApi.BlockList blockList, boolean hasProtectedContent, boolean isTranslatable, boolean isMarkedAsUnread, boolean viewAsTopics, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.ChatAvailableReactions availableReactions, int messageAutoDeleteTime, TdApi.EmojiStatus emojiStatus, TdApi.ChatBackground background, String themeName, TdApi.ChatActionBar actionBar, TdApi.BusinessBotManageBar businessBotManageBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
  A chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Chat unique identifier.

  - ### type

    public TdApi.ChatType type
    Type of the chat.

  - ### title

    public String title
    Chat title.

  - ### photo

    @Nullable public TdApi.ChatPhotoInfo photo
    Chat photo; may be null.

  - ### accentColorId

    public int accentColorId
    Identifier of the accent color for message sender name, and backgrounds of chat photo, reply header, and link preview.

  - ### backgroundCustomEmojiId

    public long backgroundCustomEmojiId
    Identifier of a custom emoji to be shown on the reply header and link preview background for messages sent by the chat; 0 if none.

  - ### profileAccentColorId

    public int profileAccentColorId
    Identifier of the profile accent color for the chat's profile; -1 if none.

  - ### profileBackgroundCustomEmojiId

    public long profileBackgroundCustomEmojiId
    Identifier of a custom emoji to be shown on the background of the chat's profile; 0 if none.

  - ### permissions

    public TdApi.ChatPermissions permissions
    Actions that non-administrator chat members are allowed to take in the chat.

  - ### lastMessage

    @Nullable public TdApi.Message lastMessage
    Last message in the chat; may be null if none or unknown.

  - ### positions

    public TdApi.ChatPosition[] positions
    Positions of the chat in chat lists.

  - ### chatLists

    public TdApi.ChatList[] chatLists
    Chat lists to which the chat belongs. A chat can have a non-zero position in a chat list even it doesn't belong to the chat list and have no position in a chat list even it belongs to the chat list.

  - ### messageSenderId

    @Nullable public TdApi.MessageSender messageSenderId
    Identifier of a user or chat that is selected to send messages in the chat; may be null if the user can't change message sender.

  - ### blockList

    @Nullable public TdApi.BlockList blockList
    Block list to which the chat is added; may be null if none.

  - ### hasProtectedContent

    public boolean hasProtectedContent
    True, if chat content can't be saved locally, forwarded, or copied.

  - ### isTranslatable

    public boolean isTranslatable
    True, if translation of all messages in the chat must be suggested to the user.

  - ### isMarkedAsUnread

    public boolean isMarkedAsUnread
    True, if the chat is marked as unread.

  - ### viewAsTopics

    public boolean viewAsTopics
    True, if the chat is a forum supergroup that must be shown in the "View as topics" mode, or Saved Messages chat that must be shown in the "View as chats".

  - ### hasScheduledMessages

    public boolean hasScheduledMessages
    True, if the chat has scheduled messages.

  - ### canBeDeletedOnlyForSelf

    public boolean canBeDeletedOnlyForSelf
    True, if the chat messages can be deleted only for the current user while other users will continue to see the messages.

  - ### canBeDeletedForAllUsers

    public boolean canBeDeletedForAllUsers
    True, if the chat messages can be deleted for all users.

  - ### canBeReported

    public boolean canBeReported
    True, if the chat can be reported to Telegram moderators through reportChat or reportChatPhoto.

  - ### defaultDisableNotification

    public boolean defaultDisableNotification
    Default value of the disableNotification parameter, used when a message is sent to the chat.

  - ### unreadCount

    public int unreadCount
    Number of unread messages in the chat.

  - ### lastReadInboxMessageId

    public long lastReadInboxMessageId
    Identifier of the last read incoming message.

  - ### lastReadOutboxMessageId

    public long lastReadOutboxMessageId
    Identifier of the last read outgoing message.

  - ### unreadMentionCount

    public int unreadMentionCount
    Number of unread messages with a mention/reply in the chat.

  - ### unreadReactionCount

    public int unreadReactionCount
    Number of messages with unread reactions in the chat.

  - ### notificationSettings

    public TdApi.ChatNotificationSettings notificationSettings
    Notification settings for the chat.

  - ### availableReactions

    public TdApi.ChatAvailableReactions availableReactions
    Types of reaction, available in the chat.

  - ### messageAutoDeleteTime

    public int messageAutoDeleteTime
    Current message auto-delete or self-destruct timer setting for the chat, in seconds; 0 if disabled. Self-destruct timer in secret chats starts after the message or its content is viewed. Auto-delete timer in other chats starts from the send date.

  - ### emojiStatus

    @Nullable public TdApi.EmojiStatus emojiStatus
    Emoji status to be shown along with chat title; may be null.

  - ### background

    @Nullable public TdApi.ChatBackground background
    Background set for the chat; may be null if none.

  - ### themeName

    public String themeName
    If non-empty, name of a theme, set for the chat.

  - ### actionBar

    @Nullable public TdApi.ChatActionBar actionBar
    Information about actions which must be possible to do through the chat action bar; may be null if none.

  - ### businessBotManageBar

    @Nullable public TdApi.BusinessBotManageBar businessBotManageBar
    Information about bar for managing a business bot in the chat; may be null if none.

  - ### videoChat

    public TdApi.VideoChat videoChat
    Information about video chat of the chat.

  - ### pendingJoinRequests

    @Nullable public TdApi.ChatJoinRequestsInfo pendingJoinRequests
    Information about pending join requests; may be null if none.

  - ### replyMarkupMessageId

    public long replyMarkupMessageId
    Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

  - ### draftMessage

    @Nullable public TdApi.DraftMessage draftMessage
    A draft of a message in the chat; may be null if none.

  - ### clientData

    public String clientData
    Application-specific data associated with the chat. (For example, the chat scroll position or local chat notification settings can be stored here.) Persistent if the message database is used.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Chat

    public Chat()
    A chat. (Can be a private chat, basic group, supergroup, or secret chat.)

  - ### Chat

    public Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, TdApi.ChatList[] chatLists, TdApi.MessageSender messageSenderId, TdApi.BlockList blockList, boolean hasProtectedContent, boolean isTranslatable, boolean isMarkedAsUnread, boolean viewAsTopics, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, int unreadReactionCount, TdApi.ChatNotificationSettings notificationSettings, TdApi.ChatAvailableReactions availableReactions, int messageAutoDeleteTime, TdApi.EmojiStatus emojiStatus, TdApi.ChatBackground background, String themeName, TdApi.ChatActionBar actionBar, TdApi.BusinessBotManageBar businessBotManageBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)
    A chat. (Can be a private chat, basic group, supergroup, or secret chat.)
    Parameters:
      `id` - Chat unique identifier.
      `type` - Type of the chat.
      `title` - Chat title.
      `photo` - Chat photo; may be null.
      `accentColorId` - Identifier of the accent color for message sender name, and backgrounds of chat photo, reply header, and link preview.
      `backgroundCustomEmojiId` - Identifier of a custom emoji to be shown on the reply header and link preview background for messages sent by the chat; 0 if none.
      `profileAccentColorId` - Identifier of the profile accent color for the chat's profile; -1 if none.
      `profileBackgroundCustomEmojiId` - Identifier of a custom emoji to be shown on the background of the chat's profile; 0 if none.
      `permissions` - Actions that non-administrator chat members are allowed to take in the chat.
      `lastMessage` - Last message in the chat; may be null if none or unknown.
      `positions` - Positions of the chat in chat lists.
      `chatLists` - Chat lists to which the chat belongs. A chat can have a non-zero position in a chat list even it doesn't belong to the chat list and have no position in a chat list even it belongs to the chat list.
      `messageSenderId` - Identifier of a user or chat that is selected to send messages in the chat; may be null if the user can't change message sender.
      `blockList` - Block list to which the chat is added; may be null if none.
      `hasProtectedContent` - True, if chat content can't be saved locally, forwarded, or copied.
      `isTranslatable` - True, if translation of all messages in the chat must be suggested to the user.
      `isMarkedAsUnread` - True, if the chat is marked as unread.
      `viewAsTopics` - True, if the chat is a forum supergroup that must be shown in the "View as topics" mode, or Saved Messages chat that must be shown in the "View as chats".
      `hasScheduledMessages` - True, if the chat has scheduled messages.
      `canBeDeletedOnlyForSelf` - True, if the chat messages can be deleted only for the current user while other users will continue to see the messages.
      `canBeDeletedForAllUsers` - True, if the chat messages can be deleted for all users.
      `canBeReported` - True, if the chat can be reported to Telegram moderators through reportChat or reportChatPhoto.
      `defaultDisableNotification` - Default value of the disableNotification parameter, used when a message is sent to the chat.
      `unreadCount` - Number of unread messages in the chat.
      `lastReadInboxMessageId` - Identifier of the last read incoming message.
      `lastReadOutboxMessageId` - Identifier of the last read outgoing message.
      `unreadMentionCount` - Number of unread messages with a mention/reply in the chat.
      `unreadReactionCount` - Number of messages with unread reactions in the chat.
      `notificationSettings` - Notification settings for the chat.
      `availableReactions` - Types of reaction, available in the chat.
      `messageAutoDeleteTime` - Current message auto-delete or self-destruct timer setting for the chat, in seconds; 0 if disabled. Self-destruct timer in secret chats starts after the message or its content is viewed. Auto-delete timer in other chats starts from the send date.
      `emojiStatus` - Emoji status to be shown along with chat title; may be null.
      `background` - Background set for the chat; may be null if none.
      `themeName` - If non-empty, name of a theme, set for the chat.
      `actionBar` - Information about actions which must be possible to do through the chat action bar; may be null if none.
      `businessBotManageBar` - Information about bar for managing a business bot in the chat; may be null if none.
      `videoChat` - Information about video chat of the chat.
      `pendingJoinRequests` - Information about pending join requests; may be null if none.
      `replyMarkupMessageId` - Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.
      `draftMessage` - A draft of a message in the chat; may be null if none.
      `clientData` - Application-specific data associated with the chat. (For example, the chat scroll position or local chat notification settings can be stored here.) Persistent if the message database is used.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR